summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-02-03 20:54:00 +0000
committer Eric Hameleers <alien@slackware.com>2024-02-03 22:29:12 +0100
commit97075b27cab44f7221cdec9c55162647109c7245 (patch)
treeb07feab9c16e8faa56759fefd92885f812a2e88f /source/x
parentda45f62f68edec9ba958379a15bcb219af0df933 (diff)
downloadcurrent-97075b27cab44f7221cdec9c55162647109c7245.tar.gz
current-97075b27cab44f7221cdec9c55162647109c7245.tar.xz
Sat Feb 3 20:54:00 UTC 202420240203205400
a/glibc-zoneinfo-2024a-noarch-1.txz: Upgraded. This package provides the latest timezone updates. n/ca-certificates-20240203-noarch-1.txz: Upgraded. This update provides the latest CA certificates to check for the authenticity of SSL connections. x/ibus-libpinyin-1.15.7-x86_64-1.txz: Upgraded. x/xdg-utils-1.2.0-noarch-1.txz: Upgraded.
Diffstat (limited to 'source/x')
-rw-r--r--source/x/ibus-libpinyin/ibus-libpinyin.url2
-rw-r--r--source/x/xdg-utils/af2fe0d1dcbcd982d84ddf2bbd174afe90976ed9.patch24
-rwxr-xr-xsource/x/xdg-utils/fetch-xdg-utils.sh52
-rw-r--r--source/x/xdg-utils/xdg-open.no.relative.paths.diff13
-rwxr-xr-xsource/x/xdg-utils/xdg-utils.SlackBuild9
-rw-r--r--source/x/xdg-utils/xdg-utils.url1
6 files changed, 90 insertions, 11 deletions
diff --git a/source/x/ibus-libpinyin/ibus-libpinyin.url b/source/x/ibus-libpinyin/ibus-libpinyin.url
index 4c6400801..0a431dd89 100644
--- a/source/x/ibus-libpinyin/ibus-libpinyin.url
+++ b/source/x/ibus-libpinyin/ibus-libpinyin.url
@@ -1,2 +1,2 @@
https://github.com/libpinyin/ibus-libpinyin
-https://github.com/libpinyin/ibus-libpinyin/releases/download/1.15.6/ibus-libpinyin-1.15.6.tar.gz
+https://github.com/libpinyin/ibus-libpinyin/releases/download/1.15.7/ibus-libpinyin-1.15.7.tar.gz
diff --git a/source/x/xdg-utils/af2fe0d1dcbcd982d84ddf2bbd174afe90976ed9.patch b/source/x/xdg-utils/af2fe0d1dcbcd982d84ddf2bbd174afe90976ed9.patch
new file mode 100644
index 000000000..08a650c16
--- /dev/null
+++ b/source/x/xdg-utils/af2fe0d1dcbcd982d84ddf2bbd174afe90976ed9.patch
@@ -0,0 +1,24 @@
+From af2fe0d1dcbcd982d84ddf2bbd174afe90976ed9 Mon Sep 17 00:00:00 2001
+From: Harald Sitter <sitter@kde.org>
+Date: Tue, 30 Jan 2024 11:24:41 +0100
+Subject: xdg-icon-resource: unbreak syntax by removing stray grave accent
+
+---
+ scripts/xdg-icon-resource.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/scripts/xdg-icon-resource.in b/scripts/xdg-icon-resource.in
+index 0bfa26b..47ba6d6 100644
+--- a/scripts/xdg-icon-resource.in
++++ b/scripts/xdg-icon-resource.in
+@@ -306,7 +306,7 @@ fi
+ need_kde_icon_path()
+ {
+ local path
+- path="$(xdg_realpath "$1")" 2> /dev/null` # Normalize path
++ path="$(xdg_realpath "$1")" 2> /dev/null # Normalize path
+ DEBUG 2 "need_kde_icon_path $path"
+ if [ -z "$path" ] ; then
+ DEBUG 2 "need_kde_icon_path RETURN 1 (not needed, no xdg icon dir)"
+--
+cgit v1.2.3
diff --git a/source/x/xdg-utils/fetch-xdg-utils.sh b/source/x/xdg-utils/fetch-xdg-utils.sh
new file mode 100755
index 000000000..3a73abcb6
--- /dev/null
+++ b/source/x/xdg-utils/fetch-xdg-utils.sh
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=xdg-utils
+
+# Pull a stable branch + patches
+BRANCH=${1:-v1.2.0}
+
+# Clear download area:
+rm -rf ${PKGNAM}
+
+# Clone repository:
+git clone https://gitlab.freedesktop.org/xdg/xdg-utils
+
+# checkout $BRANCH:
+( cd ${PKGNAM}
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd ${PKGNAM} && git log -1 --format=%h )"
+DATE="$( cd ${PKGNAM} && git log -1 --format=%cd --date=format:%Y%m%d )"
+LONGDATE="$( cd ${PKGNAM} && git log -1 --format=%cd --date=format:%c )"
+# Cleanup. We're not packing up the whole git repo.
+( cd ${PKGNAM} && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv ${PKGNAM} ${PKGNAM}-${DATE}_${HEADISAT}
+tar cf ${PKGNAM}-${DATE}_${HEADISAT}.tar ${PKGNAM}-${DATE}_${HEADISAT}
+plzip -9 -f ${PKGNAM}-${DATE}_${HEADISAT}.tar
+rm -rf ${PKGNAM}-${DATE}_${HEADISAT}
+touch -d "$LONGDATE" ${PKGNAM}-${DATE}_${HEADISAT}.tar.lz
+echo
+echo "${PKGNAM} branch $BRANCH with HEAD at $HEADISAT packaged as ${PKGNAM}-${DATE}_${HEADISAT}.tar.lz"
+echo
diff --git a/source/x/xdg-utils/xdg-open.no.relative.paths.diff b/source/x/xdg-utils/xdg-open.no.relative.paths.diff
index f28308eeb..15cbb0dfd 100644
--- a/source/x/xdg-utils/xdg-open.no.relative.paths.diff
+++ b/source/x/xdg-utils/xdg-open.no.relative.paths.diff
@@ -1,10 +1,9 @@
---- ./scripts/xdg-open.in.orig 2018-05-10 10:02:31.000000000 -0500
-+++ ./scripts/xdg-open.in 2019-01-25 13:01:17.492733618 -0600
-@@ -453,12 +453,6 @@
- # pcmanfm only knows how to handle file:// urls and filepaths, it seems.
- if pcmanfm --help >/dev/null 2>&1 -a is_file_url_or_path "$1"; then
- local file="$(file_url_to_path "$1")"
--
+--- ./scripts/xdg-open.in.orig 2024-02-03 12:40:07.000000000 -0600
++++ ./scripts/xdg-open.in 2024-02-03 12:45:57.900659000 -0600
+@@ -533,11 +533,6 @@
+ local file
+ file="$(file_url_to_path "$1")"
+
- # handle relative paths
- if ! echo "$file" | grep -q ^/; then
- file="$(pwd)/$file"
diff --git a/source/x/xdg-utils/xdg-utils.SlackBuild b/source/x/xdg-utils/xdg-utils.SlackBuild
index 77f19a252..6151abc55 100755
--- a/source/x/xdg-utils/xdg-utils.SlackBuild
+++ b/source/x/xdg-utils/xdg-utils.SlackBuild
@@ -4,7 +4,7 @@
# Written by Erik Hanson erik@slackbuilds.org
# Modified for VERSION version by Patrick Volkerding <volkerdi@slackware.com>
-# Copyright 2008, 2009, 2010, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2018, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,10 +27,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xdg-utils
-VERSION=1.1.3
+VERSION=1.2.0
PKG_VERSION=${VERSION/-/_}
ARCH=noarch
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -57,6 +57,9 @@ cd $PKGNAM-$VERSION || exit 1
# Fix xdg-open usage in LXDE:
zcat $CWD/xdg-open.no.relative.paths.diff.gz | patch -p1 --verbose || exit 1
+# Post 1.2.0 upstream fix:
+cat $CWD/af2fe0d1dcbcd982d84ddf2bbd174afe90976ed9.patch | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/x/xdg-utils/xdg-utils.url b/source/x/xdg-utils/xdg-utils.url
index ed2683487..d4ff6173a 100644
--- a/source/x/xdg-utils/xdg-utils.url
+++ b/source/x/xdg-utils/xdg-utils.url
@@ -1,2 +1,3 @@
http://www.freedesktop.org/wiki/Software/xdg-utils/
http://portland.freedesktop.org/download/
+https://cgit.freedesktop.org/xdg/xdg-utils/